Bug 169159 - python of rawhide-20050923 aborts with coredump if no args given
python of rawhide-20050923 aborts with coredump if no args given
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 15:57 EDT by Jason Vas Dias
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 17:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-09-23 15:57:26 EDT
Description of problem:

Upgrade to rawhide-20050923 .  Try to run python:

$ python
Python 2.4.1 (#1, Sep 22 2005, 18:40:22)
[GCC 4.0.1 20050919 (Red Hat 4.0.1-14)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
Fatal Python error: Invalid argument
Aborted (core dumped)

These means that compile commands such as this also fail : 
$ echo 'from compileall import compile_dir\ncompile_dir(".",1)' | /usr/bin/python
Fatal Python error: Invalid argument
Aborted (core dumped)

So no python package can be built in the FC5 devel beehive dist at the moment.
  
Core dump files available on request.

Version-Release number of selected component (if applicable):
python-2.4.1-8

How reproducible:
100%

Steps to Reproduce:
$ python
 
Actual results:
Python 2.4.1 (#1, Sep 22 2005, 18:40:22)
[GCC 4.0.1 20050919 (Red Hat 4.0.1-14)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
Fatal Python error: Invalid argument
Aborted (core dumped)

Expected results:
Python 2.4.1 (#1, Sep 22 2005, 18:40:22)
[GCC 4.0.1 20050919 (Red Hat 4.0.1-14)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 

Additional info:
Core dump files available on request.
Comment 1 Mihai Ibanescu 2005-09-23 16:48:02 EDT
Fixed in -9 or newer.
Comment 2 Mihai Ibanescu 2005-09-23 17:06:34 EDT
I lied.
Comment 3 Robert Scheck 2005-09-25 12:18:37 EDT
Problem exists in -10 anyway (as "segmentation fault" here) - I guess you can 
reproduce it easily ;-)
Comment 4 Peter Jones 2005-09-25 17:04:58 EDT
Should actually be fixed in -11.  What a fun week.

(Also note that the compile command above is better written with python -c)

Note You need to log in before you can comment on or make changes to this bug.